package com.boman.file.controller;

import com.alibaba.fastjson.JSONObject;
import com.boman.common.core.web.domain.AjaxResult;
import com.boman.domain.dto.ImportExcelDto;
import com.boman.file.service.ISysFileService;
import com.sun.org.apache.regexp.internal.RE;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author shiqian
 * @date 2021年06月07日 16:24
 **/
@RestController
@RequestMapping("/common/file")
public class ExcelController {

    @Resource
    private ISysFileService fileService;

    /**
     * 功能描述:
     *
     * @param multipartFile multipartFile
     * @return void
     */
//    @PostMapping("/import")
//    public static AjaxResult importExcel(MultipartFile multipartFile) {
//        File file = FileUploadUtils.multipartFile2File(multipartFile);
//        EasyExcel.read(file, JSONObject.class, new ExcelListener<JSONObject>()).sheet().headRowNumber(1).doRead();
//        FileUploadUtils.delete(file);
//        return AjaxResult.success();
//    }


    /**
     * 功能描述: 通用的导入接口
     *
     * @param multipartFile MultipartFile
     * @param tableName     tableName
     * @return void
     */
    @PostMapping("/import")
    public AjaxResult importExcelCommon(MultipartFile multipartFile, String tableName) throws Exception {
        try {
            return fileService.importExcelCommon(multipartFile, tableName);
        } catch (Exception e) {
            e.printStackTrace();
        }

        return AjaxResult.error("失败");
    }



}
